aboutsummaryrefslogtreecommitdiffstats
path: root/main/libgsf/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-09-29 08:45:29 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-09-29 08:47:22 +0000
commit8f6f2e3166478b14b208ecfb94ddf01d69dd7bdc (patch)
treee1bdd0bbb491926306c1e43e72dabbbe235f4b62 /main/libgsf/APKBUILD
parent832a032dd3794c5cc3e67f4ee580e171996e8e29 (diff)
downloadaports-8f6f2e3166478b14b208ecfb94ddf01d69dd7bdc.tar.gz
aports-8f6f2e3166478b14b208ecfb94ddf01d69dd7bdc.tar.bz2
aports-8f6f2e3166478b14b208ecfb94ddf01d69dd7bdc.tar.xz
main/[various]: update config.sub (and remove charset.alias)
for musl build. the changes are automatically done based on previous build log errors, so this does not guarantee successful build, but is a required.
Diffstat (limited to 'main/libgsf/APKBUILD')
-rw-r--r--main/libgsf/APKBUILD11
1 files changed, 9 insertions, 2 deletions
diff --git a/main/libgsf/APKBUILD b/main/libgsf/APKBUILD
index 3211df0f58..f03a907a70 100644
--- a/main/libgsf/APKBUILD
+++ b/main/libgsf/APKBUILD
@@ -13,8 +13,15 @@ source="http://ftp.gnome.org/pub/GNOME/sources/$pkgname/1.14/$pkgname-$pkgver.ta
depends_dev="glib-dev bzip2-dev libxml2-dev pkgconfig"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
sed -i -e 's/gsf-gnome//' -e 's/thumbnailer//' Makefile.* || return 1
./configure \
--build=$CBUILD \
@@ -31,7 +38,7 @@ build() {
}
package() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
rm "$pkgdir"/usr/lib/*.la || return 1
rm -f "$pkgdir"/usr/share/man/man1/gsf-office-thumbnailer.1